Node
An appliance in the cluster, its role, and the state it is in.
Conntrack
curl
curl -X GET "https://appliance.example.com/api/v1/{applianceId}/system/conntrack" \
-H "Authorization: Bearer $TOKEN"
PHP
<?php
$url = 'https://appliance.example.com/api/v1/{applianceId}/system/conntrack';
$headers = [
'Authorization: Bearer ' . $token,
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
response = requests.get("https://appliance.example.com/api/v1/{applianceId}/system/conntrack", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/{applianceId}/system/conntrack', {
method: 'GET',
headers: {
Authorization: `Bearer ${token}`,
},
});
const data = await response.json();
Bruno
meta {
name: Get the connection tracking settings of a node
type: http
seq: 1
}
get {
url: https://{{node-0}}:{{port}}/api/v1/{applianceId}/system/conntrack
body: none
auth: bearer
}
auth:bearer {
token: {{token}}
}
Response
{
"status": "success",
"message": "Connection tracking settings",
"data": {
"size": 10000,
"tcpTimeout": "900",
"tcpFinTimeout": "120",
"udpTimeout": "300"
}
}
curl
curl -X PUT "https://appliance.example.com/api/v1/{applianceId}/system/conntrack" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"size": 0,
"tcpTimeout": "900",
"tcpFinTimeout": "120",
"udpTimeout": "300"
}'
PHP
<?php
$url = 'https://appliance.example.com/api/v1/{applianceId}/system/conntrack';
$headers = [
'Authorization: Bearer ' . $token,
'Content-Type: application/json',
];
$payload = [
'size' => 0,
'tcpTimeout' => '900',
'tcpFinTimeout' => '120',
'udpTimeout' => '300',
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode($payload),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
payload = {
"size": 0,
"tcpTimeout": "900",
"tcpFinTimeout": "120",
"udpTimeout": "300"
}
response = requests.put("https://appliance.example.com/api/v1/{applianceId}/system/conntrack", headers=headers, json=payload)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/{applianceId}/system/conntrack', {
method: 'PUT',
headers: {
Authorization: `Bearer ${token}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"size": 0,
"tcpTimeout": "900",
"tcpFinTimeout": "120",
"udpTimeout": "300"
}),
});
const data = await response.json();
Bruno
meta {
name: Update the connection tracking settings of a node
type: http
seq: 1
}
put {
url: https://{{node-0}}:{{port}}/api/v1/{applianceId}/system/conntrack
body: json
auth: bearer
}
headers {
Content-Type: application/json
}
auth:bearer {
token: {{token}}
}
body:json {
{
"size": 0,
"tcpTimeout": "900",
"tcpFinTimeout": "120",
"udpTimeout": "300"
}
}
Response
{
"status": "success",
"message": "Set connection tracking settings",
"data": {
"size": 10000,
"tcpTimeout": "15m",
"tcpFinTimeout": "120",
"udpTimeout": "300"
}
}
Proxy
curl
curl -X GET "https://appliance.example.com/api/v1/{applianceId}/system/proxy" \
-H "Authorization: Bearer $TOKEN"
PHP
<?php
$url = 'https://appliance.example.com/api/v1/{applianceId}/system/proxy';
$headers = [
'Authorization: Bearer ' . $token,
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
response = requests.get("https://appliance.example.com/api/v1/{applianceId}/system/proxy", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/{applianceId}/system/proxy', {
method: 'GET',
headers: {
Authorization: `Bearer ${token}`,
},
});
const data = await response.json();
Bruno
meta {
name: Get the system proxy settings
type: http
seq: 1
}
get {
url: https://{{node-0}}:{{port}}/api/v1/{applianceId}/system/proxy
body: none
auth: bearer
}
auth:bearer {
token: {{token}}
}
Response
{
"status": "success",
"message": "HTTP Proxy host",
"data": {
"enable": true,
"address": {
"value": null,
"port": null
},
"username": "",
"password": "",
"bypass": [
"idp.internal",
"10.0.0.0/8"
]
}
}
curl
curl -X PUT "https://appliance.example.com/api/v1/{applianceId}/system/proxy" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"enable": true,
"address": {
"value": "<value>",
"port": 0
},
"username": "<username>",
"password": "<password>",
"bypass": [
"<bypass>"
]
}'
PHP
<?php
$url = 'https://appliance.example.com/api/v1/{applianceId}/system/proxy';
$headers = [
'Authorization: Bearer ' . $token,
'Content-Type: application/json',
];
$payload = [
'enable' => true,
'address' => [
'value' => '<value>',
'port' => 0,
],
'username' => '<username>',
'password' => '<password>',
'bypass' => [
'<bypass>',
],
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode($payload),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
payload = {
"enable": true,
"address": {
"value": "<value>",
"port": 0
},
"username": "<username>",
"password": "<password>",
"bypass": [
"<bypass>"
]
}
response = requests.put("https://appliance.example.com/api/v1/{applianceId}/system/proxy", headers=headers, json=payload)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/{applianceId}/system/proxy', {
method: 'PUT',
headers: {
Authorization: `Bearer ${token}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"enable": true,
"address": {
"value": "<value>",
"port": 0
},
"username": "<username>",
"password": "<password>",
"bypass": [
"<bypass>"
]
}),
});
const data = await response.json();
Bruno
meta {
name: Update the system proxy settings
type: http
seq: 1
}
put {
url: https://{{node-0}}:{{port}}/api/v1/{applianceId}/system/proxy
body: json
auth: bearer
}
headers {
Content-Type: application/json
}
auth:bearer {
token: {{token}}
}
body:json {
{
"enable": true,
"address": {
"value": "<value>",
"port": 0
},
"username": "<username>",
"password": "<password>",
"bypass": [
"<bypass>"
]
}
}
Response
{
"status": "success",
"message": "Set HTTP Proxy"
}
User interface
curl
curl -X GET "https://appliance.example.com/api/v1/{applianceId}/system/userinterface" \
-H "Authorization: Bearer $TOKEN"
PHP
<?php
$url = 'https://appliance.example.com/api/v1/{applianceId}/system/userinterface';
$headers = [
'Authorization: Bearer ' . $token,
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
response = requests.get("https://appliance.example.com/api/v1/{applianceId}/system/userinterface", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/{applianceId}/system/userinterface', {
method: 'GET',
headers: {
Authorization: `Bearer ${token}`,
},
});
const data = await response.json();
Bruno
meta {
name: Get the WebUI settings
type: http
seq: 1
}
get {
url: https://{{node-0}}:{{port}}/api/v1/{applianceId}/system/userinterface
body: none
auth: bearer
}
auth:bearer {
token: {{token}}
}
Response
{
"status": "success",
"message": "User Interface details",
"data": {
"apiPort": 9443,
"ipId": "5e1db550eb4f2",
"SSLCertificate": "5e1db550eb565",
"sshPort": 22,
"sshEnabled": true,
"consoleEnabled": true
}
}
curl
curl -X PUT "https://appliance.example.com/api/v1/{applianceId}/system/userinterface" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ipId": "<ipId>",
"apiPort": 0,
"SSLCertificate": "<SSLCertificate>",
"sshEnabled": true,
"sshPort": 0,
"consoleEnabled": true,
"consolePassword": "<consolePassword>"
}'
PHP
<?php
$url = 'https://appliance.example.com/api/v1/{applianceId}/system/userinterface';
$headers = [
'Authorization: Bearer ' . $token,
'Content-Type: application/json',
];
$payload = [
'ipId' => '<ipId>',
'apiPort' => 0,
'SSLCertificate' => '<SSLCertificate>',
'sshEnabled' => true,
'sshPort' => 0,
'consoleEnabled' => true,
'consolePassword' => '<consolePassword>',
];
$ch = curl_init($url);
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => $headers,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode($payload),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests
headers = {"Authorization": f"Bearer {token}"}
payload = {
"ipId": "<ipId>",
"apiPort": 0,
"SSLCertificate": "<SSLCertificate>",
"sshEnabled": true,
"sshPort": 0,
"consoleEnabled": true,
"consolePassword": "<consolePassword>"
}
response = requests.put("https://appliance.example.com/api/v1/{applianceId}/system/userinterface", headers=headers, json=payload)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/{applianceId}/system/userinterface', {
method: 'PUT',
headers: {
Authorization: `Bearer ${token}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"ipId": "<ipId>",
"apiPort": 0,
"SSLCertificate": "<SSLCertificate>",
"sshEnabled": true,
"sshPort": 0,
"consoleEnabled": true,
"consolePassword": "<consolePassword>"
}),
});
const data = await response.json();
Bruno
meta {
name: Update the WebUI settings
type: http
seq: 1
}
put {
url: https://{{node-0}}:{{port}}/api/v1/{applianceId}/system/userinterface
body: json
auth: bearer
}
headers {
Content-Type: application/json
}
auth:bearer {
token: {{token}}
}
body:json {
{
"ipId": "<ipId>",
"apiPort": 0,
"SSLCertificate": "<SSLCertificate>",
"sshEnabled": true,
"sshPort": 0,
"consoleEnabled": true,
"consolePassword": "<consolePassword>"
}
}
Response
{
"status": "success",
"message": "Set User Interface",
"data": {
"apiPort": 9443,
"ipId": "5e1db550eb4f2",
"SSLCertificate": "5e1db550eb565",
"sshPort": 22,
"sshEnabled": true,
"consoleEnabled": true
}
}